Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.graph
Class ViewProperties

    java.lang.Object
      edu.stanford.smi.protegex.widget.graph.GraphProperties
          edu.stanford.smi.protegex.widget.graph.ViewProperties

    public class ViewProperties

extends GraphProperties

Constructor Summary
`ViewProperties(String clsName, PropertyList propertyList)`

Method Summary
`String` | `getGridStyle()`
`int` | `getGridStyleInt()`
`String` | `getSnapOnMove()`
`int` | `getSnapOnMoveInt()`
`boolean` | `hasTextWrap()`
`void` | `save()`
`void` | `setGridStyle(String gridStyle)`
`void` | `setSnapOnMove(String snapOnMove)`
`void` | `setTextWrap(boolean wrapping)`

Methods inherited from class edu.stanford.smi.protegex.widget.graph.GraphProperties
`getBooleanProperty, getClsName, getIntProperty, getPrefix, getPropertyList, getStringProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewProperties

    public ViewProperties(String clsName,
                          PropertyList propertyList)

Method Detail

### save

    public void save()

  Specified by:
    `save` in class `GraphProperties`

### getGridStyle

    public String getGridStyle()

### getGridStyleInt

    public int getGridStyleInt()

### setGridStyle

    public void setGridStyle(String gridStyle)

### getSnapOnMove

    public String getSnapOnMove()

### getSnapOnMoveInt

    public int getSnapOnMoveInt()

### setSnapOnMove

    public void setSnapOnMove(String snapOnMove)

### hasTextWrap

    public boolean hasTextWrap()

### setTextWrap

    public void setTextWrap(boolean wrapping)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request